"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
require("../../../../../node_modules/element-plus/es/index.js");
;/* empty css                                                             */
;/* empty css                                                                */
const Vue = require("vue");
const Node = require("./Node.vue2.js");
const index = require("../../../../../node_modules/element-plus/es/components/text/index.js");
const _sfc_main = {
  __name: "TimerNode",
  props: {
    node: Object
  },
  setup(__props) {
    const { nodesError } = Vue.inject("flowDesign", { nodesError: Vue.ref({}) });
    const props = __props;
    const content = Vue.ref("");
    const unitMap = {
      "PT%sS": "秒",
      "PT%sM": "分钟",
      "PT%sH": "小时",
      "P%sD": "天",
      "P%sW": "周",
      "P%sM": "月"
    };
    Vue.watchEffect(() => {
      const errors = [];
      const { id, name, waitType, unit, duration, timeDate } = props.node;
      if (waitType === "date") {
        content.value = `等至 ${timeDate || "?"}`;
        if (!timeDate) {
          errors.push({ id, name, message: "未设置等待时间" });
        }
      } else if (waitType === "duration") {
        content.value = `等待 ${duration} ${unitMap[unit]}`;
        if (duration <= 0) {
          errors.push({ id, name, message: "未设置等待时长" });
        }
      }
      if (errors.length > 0) {
        nodesError.value[id] = errors;
      } else {
        delete nodesError.value[id];
      }
    });
    return (_ctx, _cache) => {
      const _component_el_text = index.ElText;
      return Vue.openBlock(), Vue.createBlock(Node.default, Vue.mergeProps(_ctx.$attrs, {
        icon: "el:Timer",
        color: "#E872B7",
        node: __props.node
      }), {
        default: Vue.withCtx(() => [
          Vue.createVNode(_component_el_text, null, {
            default: Vue.withCtx(() => [
              Vue.createTextVNode(Vue.toDisplayString(Vue.unref(content)), 1)
            ]),
            _: 1
          })
        ]),
        _: 1
      }, 16, ["node"]);
    };
  }
};
exports.default = _sfc_main;
